## xapp 1.6.10

=== meson_options.txt ===
option('docs',
    type: 'boolean',
    value: false,
    description: 'Build the API references (requires gtk-doc)'
)
option('deprecated_warnings',
    type : 'boolean',
    value : false,
    description: 'Show build warnings for deprecations'
)

## xapp 1.0.2

=== debian/changelog ===
xapp (1.0.2-1) unstable; urgency=medium

  * Initial version
  * Added gnome-common-migration.patch

 -- Margarita Manterola <marga@debian.org>  Tue, 06 Dec 2016 19:23:57 -0300

=== debian/control ===
Source: xapp
Section: x11
Priority: optional
Maintainer: Debian Cinnamon Team <pkg-cinnamon-team@lists.alioth.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
Build-Depends:
 autoconf-archive,
 debhelper (>= 9),
 dh-autoreconf,
 dpkg-dev (>= 1.15.1),
 gnome-doc-utils (>= 0.3.2),
 gnome-pkg-tools (>= 0.10),
 gobject-introspection (>= 0.10.2-1~),
 gtk-doc-tools (>= 1.4),
 intltool (>= 0.40.6),
 libgdk-pixbuf2.0-dev (>= 2.22.0),
 libgirepository1.0-dev (>= 0.10.2-1~),
 libglib2.0-dev (>= 2.37.3),
 libgnomekbd-dev,
 libgtk-3-dev (>= 3.3.16),
 libx11-dev,
 python3,
 yelp-tools,
Standards-Version: 3.9.8
Homepage: http://cinnamon.linuxmint.com/
Vcs-Browser: https://anonscm.debian.org/git/pkg-cinnamon/nemo.git
Vcs-Git: https://anonscm.debian.org/git/pkg-cinnamon/nemo.git

Package: xapps-common
Architecture: all
Multi-Arch: foreign
Depends:
 gist,
 inxi,
 python3,
 python3-gi,
 xdg-utils,
 ${misc:Depends},
Description: Common files for XApp desktop apps
 This package includes files that are shared between several XApp
 apps (i18n files and configuration schemas).

Package: libxapp1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 libgnomekbd8,
 xapps-common (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: XApp library for loading .desktop files
 This library is used by XApp to load the .desktop files.

Package: libxapp-dev
Section: libdevel
Architecture: any
Depends:
 gir1.2-xapp-1.0 (= ${binary:Version}),
 libgtk-3-dev (>= 3.3.16),
 libxapp1 (= ${binary:Version}),
 ${misc:Depends},
Description: XApp library - development files
 This package provides the include files and static library for the XApp
 library functions.

Package: gir1.2-xapp-1.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: Introspection data for XApp
 This package contains the introspection data for XApp.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DEB_PKG_CONFIG_LIBDIR=$(shell pkg-config gobject-introspection-1.0 --variable libdir | sed -e 's/.//')

%:
	dh $@ --parallel --with=autoreconf,gir,gnome

override_dh_gnome_clean:
	dh_gnome_clean --no-control

override_dh_install:
	sed 's@DEB_PKG_CONFIG_LIBDIR@${DEB_PKG_CONFIG_LIBDIR}@' debian/gir1.2-xapp-1.0.install.in > debian/gir1.2-xapp-1.0.install
	dh_install --list-missing

## xapp 1.0.2%2Bserena

=== debian/changelog ===
xapp (1.0.2+serena) serena; urgency=medium

  [ Clement Lefebvre ]
  * Implement window blanking
  * Continued implementation of monitor blanking
  * Display: properly initialize values and add a function to know if monitors are blanked

  [ JosephMcc ]
  * xapp-display.c: Add a missing cast

  [ Clement Lefebvre ]
  * Added some symbolic icons needed by Xed

  [ JosephMcc ]
  * icons: Redesign the xapp-searchbar icons
  * formatting: Clean up code formatting

  [ Emmanuel ]
  * properly declare variable used in for loops

  [ JosephMcc ]
  * xapp-display: Add a missing cast
  * xapp-display: Don't use deprecated gtk_widget_modify_bg

  [ Michael Webster ]
  * debian: Fix multiarch location of typelib file, don't strip debug symbols.
  * Add XAppKbdLayoutController - this is a wrapper around libgnomekbd api to provide unique icons for each layout.
  * Update debian/control
  * Cleanup some leftover dependencies, some unneeded files, clean up gir scanning.

  [ Clement Lefebvre ]
  * Added /usr/bin/pastebin and /usr/bin/upload-system-info
  * Pastebin: Added support for fpaste
  * libxapp: Rename XAppDisplay -> XAppMonitorBlanker
  * Create README.md

  [ leigh123linux ]
  * Fix Warnings

  [ Michael Webster ]
  * Rework XAppKbdLayoutController:

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 07 Nov 2016 15:56:44 +0000

xapp (1.0.1) sarah; urgency=medium

  * Initial version

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 21 Aug 2016 11:59:50 +0100

=== debian/rules ===
--- 
+++ 
@@ -6,11 +6,14 @@
 DEB_PKG_CONFIG_LIBDIR=$(shell pkg-config gobject-introspection-1.0 --variable libdir | sed -e 's/.//')
 
 %:
-	dh $@ --parallel --with=autoreconf,gir,gnome
+	dh $@ --parallel --with=autoreconf,gir,gnome,python2
 
 override_dh_gnome_clean:
 	dh_gnome_clean --no-control
 
+override_dh_strip:
+	dh_strip --dbg-package=libxapp-dbg
+
 override_dh_install:
 	sed 's@DEB_PKG_CONFIG_LIBDIR@${DEB_PKG_CONFIG_LIBDIR}@' debian/gir1.2-xapp-1.0.install.in > debian/gir1.2-xapp-1.0.install
 	dh_install --list-missing

## xapp 1.0.3

=== debian/changelog ===
xapp (1.0.3-1) experimental; urgency=medium

  * New upstream release (1.0.3).
  * Drop upstream patches
  * Use upstream's autogen script
  * Add a debian/not-installed file
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Sun, 06 Aug 2017 17:31:56 +0200

=== debian/control ===
--- 
+++ 
@@ -25,8 +25,8 @@
  yelp-tools,
 Standards-Version: 3.9.8
 Homepage: http://cinnamon.linuxmint.com/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-cinnamon/nemo.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-cinnamon/nemo.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-cinnamon/xapp.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-cinnamon/xapp.git
 
 Package: xapps-common
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DEB_PKG_CONFIG_LIBDIR=$(shell pkg-config gobject-introspection-1.0 --variable libdir | sed -e 's/.//')

%:
	dh $@ --parallel --with=autoreconf,gir,gnome

override_dh_autoreconf:
	NOCONFIGURE=1 dh_autoreconf --as-needed ./autogen.sh

override_dh_gnome_clean:
	dh_gnome_clean --no-control

override_dh_install:
	sed 's@DEB_PKG_CONFIG_LIBDIR@${DEB_PKG_CONFIG_LIBDIR}@' debian/gir1.2-xapp-1.0.install.in > debian/gir1.2-xapp-1.0.install
	dh_install --list-missing

## xapp 1.0.3%2Bbetsy

=== debian/changelog ===
xapp (1.0.3+betsy) sonya; urgency=medium

  [ Michael Webster ]
  * Fix build
  * xapp-kbd-layout-controller - update test script to reflect current api/intent

  [ Clement Lefebvre ]
  * Review licensing
  * Handle exceptions in usr/bin/upload-system-info

  [ JosephMcc ]
  * Add a couple of symbolic pane visibility icons
  * icons: Add an icon for regex-search

  [ leigh123linux ]
  * switch to the correct python deps

  [ Michael Webster ]
  * xapp-kbd-layout-controller.c: Allow up to 3 character labels.

  [ JosephMcc ]
  * Complete our set of pane icons
  * Add support for building gtk-doc

  [ leigh123linux ]
  * Migrate away from gnome-common deprecated vars and macros
  * Use python3 as all scripts are in python3

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 03 May 2017 11:27:21 +0100

xapp (1.0.2) serena; urgency=medium

  [ Clement Lefebvre ]
  * Implement window blanking
  * Continued implementation of monitor blanking
  * Display: properly initialize values and add a function to know if monitors are blanked

  [ JosephMcc ]
  * xapp-display.c: Add a missing cast

  [ Clement Lefebvre ]
  * Added some symbolic icons needed by Xed

  [ JosephMcc ]
  * icons: Redesign the xapp-searchbar icons
  * formatting: Clean up code formatting

  [ Emmanuel ]
  * properly declare variable used in for loops

  [ JosephMcc ]
  * xapp-display: Add a missing cast
  * xapp-display: Don't use deprecated gtk_widget_modify_bg

  [ Michael Webster ]
  * debian: Fix multiarch location of typelib file, don't strip debug symbols.
  * Add XAppKbdLayoutController - this is a wrapper around libgnomekbd api to provide unique icons for each layout.
  * Update debian/control
  * Cleanup some leftover dependencies, some unneeded files, clean up gir scanning.

  [ Clement Lefebvre ]
  * Added /usr/bin/pastebin and /usr/bin/upload-system-info
  * Pastebin: Added support for fpaste
  * libxapp: Rename XAppDisplay -> XAppMonitorBlanker
  * Create README.md

  [ leigh123linux ]
  * Fix Warnings

  [ Michael Webster ]
  * Rework XAppKbdLayoutController:

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 07 Nov 2016 15:56:44 +0000

## xapp 1.0.3+betsy

=== debian/control ===
Source: xapp
Section: x11
Priority: optional
Maintainer: Clement Lefebvre <root@linuxmint.com>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               dh-python,
               dh-exec,
               dpkg-dev (>= 1.15.1),
               gnome-doc-utils (>= 0.3.2),
               gnome-pkg-tools (>= 0.10),
               gobject-introspection (>= 0.10.2-1~),
               gtk-doc-tools (>= 1.4),
               intltool (>= 0.40.6),
               libgdk-pixbuf2.0-dev (>= 2.22.0),
               libgirepository1.0-dev (>= 0.10.2-1~),
               libglib2.0-dev (>= 2.37.3),
               libgtk-3-dev (>= 3.3.16),
               libx11-dev,
               python3,
               yelp-tools,
               libgnomekbd-dev
Standards-Version: 3.9.6

Package: xapps-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${python3:Depends}, python3, python3-gi, inxi, xdg-utils, gist
Description: Common files for XApp desktop apps
 This package includes files that are shared between several XApp
 apps (i18n files and configuration schemas).

Package: libxapp1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: xapps-common (>= ${source:Version}),
         libgnomekbd8,
         ${misc:Depends},
         ${shlibs:Depends}
Description: XApp library for loading .desktop files
 This library is used by XApp to load the .desktop files.

Package: libxapp-dev
Section: libdevel
Architecture: any
Depends: gir1.2-xapp-1.0 (= ${binary:Version}),
         libxapp1 (= ${binary:Version}),
         libgtk-3-dev (>= 3.3.16),
         ${misc:Depends}
Description: XApp library - development files
 This package provides the include files and static library for the XApp
 library functions.

Package: gir1.2-xapp-1.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: Introspection data for XApp
 This package contains the introspection data for XApp.

Package: libxapp-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libxapp1 (= ${binary:Version}), ${misc:Depends}
Description: XApp library - debug symbols
 This package contains the symbols files needed to debug the XApp library.

Package: xapps-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, devhelp
Description: Libxapp documentation
 This package contains documentation for xapp library

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DEB_PKG_CONFIG_LIBDIR=$(shell pkg-config gobject-introspection-1.0 --variable libdir | sed -e 's/.//')

%:
	dh $@ --parallel --with=autoreconf,gir,gnome,python3

override_dh_gnome_clean:
	dh_gnome_clean --no-control

override_dh_autoreconf:
	dh_autoreconf --as-needed ./autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- --enable-gtk-doc

override_dh_strip:
	dh_strip --dbg-package=libxapp-dbg

override_dh_install:
	sed 's@DEB_PKG_CONFIG_LIBDIR@${DEB_PKG_CONFIG_LIBDIR}@' debian/gir1.2-xapp-1.0.install.in > debian/gir1.2-xapp-1.0.install
	dh_install --list-missing

## xapp 1.0.3+sonya

=== debian/changelog ===
xapp (1.0.3+sonya) sonya; urgency=medium

  [ Michael Webster ]
  * Fix build
  * xapp-kbd-layout-controller - update test script to reflect current api/intent

  [ Clement Lefebvre ]
  * Review licensing
  * Handle exceptions in usr/bin/upload-system-info

  [ JosephMcc ]
  * Add a couple of symbolic pane visibility icons
  * icons: Add an icon for regex-search

  [ leigh123linux ]
  * switch to the correct python deps

  [ Michael Webster ]
  * xapp-kbd-layout-controller.c: Allow up to 3 character labels.

  [ JosephMcc ]
  * Complete our set of pane icons
  * Add support for building gtk-doc

  [ leigh123linux ]
  * Migrate away from gnome-common deprecated vars and macros
  * Use python3 as all scripts are in python3

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 03 May 2017 11:27:21 +0100

## xapp 1.0.4

=== debian/changelog ===
xapp (1.0.4-2fakesync1) bionic-proposed; urgency=medium

  * Fake sync due to mismatching orig tarball.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 27 Mar 2018 19:05:36 -0400

xapp (1.0.4-2) unstable; urgency=medium

  * New revision
  * Drop dh-autoreconf (no longer needed with dh >= 10)
  * Bump debhelper build-dep and compat to 11.
  * Bump Standards-Version to 4.1.3.
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Tue, 27 Mar 2018 16:57:02 +0200

xapp (1.0.4-1) experimental; urgency=medium

  [ Fabio Fantoni ]
  * New upstream release (1.0.4).
  * Add missing xapps-doc package
  * Update Symbols

  [ Maximiliano Curia ]
  * Degrade gist and inxi dependencies to recommends.
    Thanks to Christoph Anton Mitterer for the report (Closes: 849017)
  * Use the salsa canonical urls
  * Set new ml as Maintainer
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 Mar 2018 14:52:04 +0200

xapp (1.0.3-2) unstable; urgency=medium

  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sat, 02 Sep 2017 07:35:39 +0200

=== debian/control ===
Source: xapp
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
Build-Depends:
 autoconf-archive,
 debhelper (>= 11~),
 dh-python,
 dpkg-dev (>= 1.15.1),
 gnome-doc-utils (>= 0.3.2),
 gnome-pkg-tools (>= 0.10),
 gobject-introspection (>= 0.10.2-1~),
 gtk-doc-tools (>= 1.4),
 intltool (>= 0.40.6),
 libgdk-pixbuf2.0-dev (>= 2.22.0),
 libgirepository1.0-dev (>= 0.10.2-1~),
 libglib2.0-dev (>= 2.37.3),
 libgnomekbd-dev,
 libgtk-3-dev (>= 3.3.16),
 libx11-dev,
 libxkbfile-dev,
 python,
 python-gi-dev,
 python3,
 yelp-tools,
Standards-Version: 4.1.3
Homepage: http://cinnamon.linuxmint.com/
Vcs-Browser: https://salsa.debian.org/cinnamon-team/xapp
Vcs-Git: https://salsa.debian.org/cinnamon-team/xapp.git

Package: gir1.2-xapp-1.0
Section: introspection
Architecture: any
Depends:
 ${gir:Depends},
 ${misc:Depends},
 ${python3:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Description: Introspection data for XApp
 This package contains the introspection data for XApp.

Package: libxapp-dev
Section: libdevel
Architecture: any
Depends:
 gir1.2-xapp-1.0 (= ${binary:Version}),
 libgtk-3-dev (>= 3.3.16),
 libxapp1 (= ${binary:Version}),
 libxkbfile-dev,
 ${misc:Depends},
Description: XApp library - development files
 This package provides the include files and static library for the XApp
 library functions.

Package: libxapp1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 libgnomekbd8,
 xapps-common (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: XApp library
 This library is used by several Xapp apps.

Package: xapps-common
Architecture: all
Multi-Arch: foreign
Depends: python3, python3-gi, xdg-utils, ${misc:Depends}
Recommends: gist, inxi
Description: Common files for XApp desktop apps
 This package includes files that are shared between several XApp
 apps (i18n files and configuration schemas).

Package: xapps-doc
Section: doc
Architecture: all
Depends: devhelp, ${misc:Depends}
Description: Libxapp documentation
 This package contains documentation for XApp library

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DEB_PKG_CONFIG_LIBDIR=$(shell pkg-config gobject-introspection-1.0 --variable libdir | sed -e 's/.//')

%:
	dh $@ --with=gir,gnome,python2,python3

override_dh_autoreconf:
	NOCONFIGURE=1 dh_autoreconf --as-needed ./autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- --enable-gtk-doc

override_dh_gnome_clean:
	dh_gnome_clean --no-control

override_dh_install:
	sed 's@DEB_PKG_CONFIG_LIBDIR@${DEB_PKG_CONFIG_LIBDIR}@' debian/gir1.2-xapp-1.0.install.in > debian/gir1.2-xapp-1.0.install

	# install the python3 gir override file as well
	PYTHON=python3 ./configure --prefix=/usr
	cd pygobject/ && DESTDIR=../debian/tmp make install && cd ..

	dh_install --list-missing

## xapp 1.0.4+rapturo

=== debian/changelog ===
xapp (1.0.4+rapturo) rapturo; urgency=medium

   * Initial build

 -- Scott Vandergrift <scottvandergrift@gmail.com>  Fri, 02 Jun 2017 11:27:21 +0100

=== debian/control ===
Source: xapp
Section: x11
Priority: optional
Maintainer: Scott Vandergrift <scottvandergrift@gmail.com>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               dh-python,
               dh-exec,
               dpkg-dev (>= 1.15.1),
               gnome-doc-utils (>= 0.3.2),
               gnome-pkg-tools (>= 0.10),
               gobject-introspection (>= 0.10.2-1~),
               gtk-doc-tools (>= 1.4),
               intltool (>= 0.40.6),
               libgdk-pixbuf2.0-dev (>= 2.22.0),
               libgirepository1.0-dev (>= 0.10.2-1~),
               libglib2.0-dev (>= 2.37.3),
               libgtk-3-dev (>= 3.3.16),
               libx11-dev,
               python3,
               yelp-tools,
               libgnomekbd-dev
Standards-Version: 3.9.6

Package: xapps-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${python3:Depends}, python3, python3-gi, inxi, xdg-utils, gist
Description: Common files for XApp desktop apps
 This package includes files that are shared between several XApp
 apps (i18n files and configuration schemas).

Package: libxapp1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: xapps-common (>= ${source:Version}),
         libgnomekbd8,
         ${misc:Depends},
         ${shlibs:Depends}
Description: XApp library for loading .desktop files
 This library is used by XApp to load the .desktop files.

Package: libxapp-dev
Section: libdevel
Architecture: any
Depends: gir1.2-xapp-1.0 (= ${binary:Version}),
         libxapp1 (= ${binary:Version}),
         libgtk-3-dev (>= 3.3.16),
         ${misc:Depends}
Description: XApp library - development files
 This package provides the include files and static library for the XApp
 library functions.

Package: gir1.2-xapp-1.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: Introspection data for XApp
 This package contains the introspection data for XApp.

Package: libxapp-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libxapp1 (= ${binary:Version}), ${misc:Depends}
Description: XApp library - debug symbols
 This package contains the symbols files needed to debug the XApp library.

Package: xapps-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, devhelp
Description: Libxapp documentation
 This package contains documentation for xapp library

## xapp 1.0.4+sylvia

=== debian/changelog ===
xapp (1.0.4+sylvia) sylvia; urgency=medium

  [ Clement Lefebvre ]
  * Packaging: Change description

  [ Michael Webster ]
  * Add xapp-gtk-utils.c/.h
  * Remove extra spaces inserted by clandestine foreign hackers.
  * Add XAppGtkWindow, with methods that shadow GtkWindow's icon setting ones.  This way, programs only need to change the window class, rather than adding extra code.
  * xapp-gtk-window: Add wrapper functions for GtkWindow subclasses.
  * xapp-gtk-window.*: Fix argument type for wrapper function.
  * xapp-gtk-window: Add progress features, refactor, add demo script for XAppGtkWindow.
  * xapp-gtk-window test script: Add an animate button (to test real-world effects on system reponsiveness while an operation is running.)
  * all: Fix build warnings, documentation.
  * xapp-gtk-window: Make xapp_gtk_window_new() handle the same arguments as gtk_window_new().
  * all: Allow XAppGtkWindows to be used in builder (ui) files and in Glade.
  * update some files modified by the build
  * pygobject/XApp.py: simplify and add an explanation as to why this file is here (to remind me in a year.)
  * xapp-gtk-window.c: Add xid-based functions
  * xapp-gtk-window: Move the xlib include into the .c file - it can cause namespace collisions (notably synaptic.)  It's ok to treat "Window" as an unsigned long, because that's what they are.

  [ Clement Lefebvre ]
  * xapp-gtk-window: Trap X errors when setting progress
  * Add a VAPI file to support Vala
  * Add a dependency on libxkbfile-dev for -dev pkg and build-dep.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 24 Oct 2017 12:06:19 +0100

xapp (1.0.3) sonya; urgency=medium

  [ Michael Webster ]
  * Fix build
  * xapp-kbd-layout-controller - update test script to reflect current api/intent

  [ Clement Lefebvre ]
  * Review licensing
  * Handle exceptions in usr/bin/upload-system-info

  [ JosephMcc ]
  * Add a couple of symbolic pane visibility icons
  * icons: Add an icon for regex-search

  [ leigh123linux ]
  * switch to the correct python deps

  [ Michael Webster ]
  * xapp-kbd-layout-controller.c: Allow up to 3 character labels.

  [ JosephMcc ]
  * Complete our set of pane icons
  * Add support for building gtk-doc

  [ leigh123linux ]
  * Migrate away from gnome-common deprecated vars and macros
  * Use python3 as all scripts are in python3

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 03 May 2017 11:27:21 +0100

## xapp 1.2.2

=== debian/changelog ===
xapp (1.2.2-1) unstable; urgency=medium

  * New upstream release (1.2.2).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Tue, 07 Aug 2018 14:51:38 +0200

xapp (1.2.1-1) experimental; urgency=medium

  * New upstream release (1.2.1).
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Thu, 24 May 2018 14:33:58 +0200

xapp (1.2.0-1) experimental; urgency=medium

  [ Fabio Fantoni ]
  * New upstream release (1.2.0).
  * update symbols

  [ Maximiliano Curia ]
  * Drop old build deps
  * Update install files
  * Bump Standards-Version to 4.1.4.
  * Add missing -dev dependency
  * Bump group breaks (1.2)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 May 2018 14:30:25 +0200

=== debian/control ===
Source: xapp
Section: x11
Priority: optional
Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
Build-Depends:
 debhelper (>= 11.1~),
 dh-python,
 dpkg-dev (>= 1.15.1),
 gobject-introspection (>= 0.10.2-1~),
 gtk-doc-tools (>= 1.4),
 intltool (>= 0.40.6),
 libgdk-pixbuf2.0-dev (>= 2.22.0),
 libgirepository1.0-dev (>= 0.10.2-1~),
 libglib2.0-dev (>= 2.37.3),
 libgnomekbd-dev,
 libgtk-3-dev (>= 3.3.16),
 libx11-dev,
 libxkbfile-dev,
 meson (>= 0.40.0),
 python,
 python-gi-dev,
 python3,
 valac,
Standards-Version: 4.1.4
Homepage: http://cinnamon.linuxmint.com/
Vcs-Browser: https://salsa.debian.org/cinnamon-team/xapp
Vcs-Git: https://salsa.debian.org/cinnamon-team/xapp.git

Package: gir1.2-xapp-1.0
Section: introspection
Architecture: any
Depends:
 ${gir:Depends},
 ${misc:Depends},
 ${python3:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Description: Introspection data for XApp
 This package contains the introspection data for XApp.
Breaks: cinnamon (<< 3.8), cinnamon-screensaver (<< 3.8)

Package: libxapp-dev
Section: libdevel
Architecture: any
Depends:
 gir1.2-xapp-1.0 (= ${binary:Version}),
 libgnomekbd-dev,
 libgtk-3-dev (>= 3.3.16),
 libxapp1 (= ${binary:Version}),
 libxkbfile-dev,
 ${misc:Depends},
Description: XApp library - development files
 This package provides the include files and static library for the XApp
 library functions.

Package: libxapp1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 libgnomekbd8,
 xapps-common (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: XApp library
 This library is used by several Xapp apps.
Breaks: nemo (<< 3.8)

Package: xapps-common
Architecture: all
Multi-Arch: foreign
Depends: python3, python3-gi, xdg-utils, ${misc:Depends}, ${python3:Depends}
Recommends: gist, inxi
Description: Common files for XApp desktop apps
 This package includes files that are shared between several XApp
 apps (i18n files and configuration schemas).
Breaks: cinnamon (<< 3.8)

Package: xapps-doc
Section: doc
Architecture: all
Depends: devhelp, ${misc:Depends}
Description: Libxapp documentation
 This package contains documentation for XApp library

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --with=gir,python2,python3

override_dh_auto_configure:
	dh_auto_configure -- \
	    -D docs=true \
	    -D deprecated_warnings=false

# --list-missing will be default in compat 12
override_dh_missing:
	dh_missing --list-missing

## xapp 1.2.2+tara

=== debian/changelog ===
xapp (1.2.2+tara) tara; urgency=medium

  [ Fabio Fantoni ]
  * circleci: remove mint18 job (#41)

  [ Michael Webster ]
  * xapp-gtk-window.c: Check for x11 at a more appropriate time.

  [ Clement Lefebvre ]
  * Pastebin: Replace gist with termbin

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 17 Jul 2018 09:35:34 +0200

xapp (1.2.1) tara; urgency=medium

  [ Michael Webster ]
  * icons: Add category-search-symbolic

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 06 May 2018 14:34:17 +0100

xapp (1.2.0) tara; urgency=medium

  [ Clement Lefebvre ]
  * Add CI configuration

  [ Michael Webster ]
  * Build: Switch to Meson (#34)
  * docs/meson.build: split mkdb args properly. (fixes arch build)
  * Fix post-install script shebang, remove the schema file from translation tracking.
  * build: make docs optional, but enabled in debian build.  Add deprecated warnings option as well.
  * xapp-gtk-window.c: use gdk_error_trap_pop_ignored to quiet build warning.
  * xapp-gtk-window.c: Skip x11 calls if we're not running an x session.
  * xapp-gtk-window.c: only do an x11 check once, cache the result.

  [ JosephMcc ]
  * prefs-window: Remove a stray separator

  [ Michael Webster ]
  * build: Fix pkg-config generation to require header-file-included libs (fixes CI build for nemo)

  [ NikoKrause ]
  * Add media-mount-symbolic icon (#37)
  * extract/compress icons for nemo-fileroller (#38)

  [ Fabio Fantoni ]
  * debian: small improvements about python
  * debian: wrap-and-sort -bst
  * update debian/copyright
  * Bump debhelper build-dep and compat to 10
  * add debian/not-installed
  * Drop dh's parallel arg (no longer needed with dh >= 10)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 16 Apr 2018 15:39:24 +0100

xapp (1.0.4) sylvia; urgency=medium

  [ Clement Lefebvre ]
  * Packaging: Change description

  [ Michael Webster ]
  * Add xapp-gtk-utils.c/.h
  * Remove extra spaces inserted by clandestine foreign hackers.
  * Add XAppGtkWindow, with methods that shadow GtkWindow's icon setting ones.  This way, programs only need to change the window class, rather than adding extra code.
  * xapp-gtk-window: Add wrapper functions for GtkWindow subclasses.
  * xapp-gtk-window.*: Fix argument type for wrapper function.
  * xapp-gtk-window: Add progress features, refactor, add demo script for XAppGtkWindow.
  * xapp-gtk-window test script: Add an animate button (to test real-world effects on system reponsiveness while an operation is running.)
  * all: Fix build warnings, documentation.
  * xapp-gtk-window: Make xapp_gtk_window_new() handle the same arguments as gtk_window_new().
  * all: Allow XAppGtkWindows to be used in builder (ui) files and in Glade.
  * update some files modified by the build
  * pygobject/XApp.py: simplify and add an explanation as to why this file is here (to remind me in a year.)
  * xapp-gtk-window.c: Add xid-based functions
  * xapp-gtk-window: Move the xlib include into the .c file - it can cause namespace collisions (notably synaptic.)  It's ok to treat "Window" as an unsigned long, because that's what they are.

  [ Clement Lefebvre ]
  * xapp-gtk-window: Trap X errors when setting progress
  * Add a VAPI file to support Vala
  * Add a dependency on libxkbfile-dev for -dev pkg and build-dep.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 24 Oct 2017 12:06:19 +0100

## xapp 1.4.5

=== debian/changelog ===
xapp (1.4.5-0.1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Convert from native to (quilt) source format.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 17 Mar 2019 11:24:46 -0700

xapp (1.4.5) tessa; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 11 Dec 2018 14:21:26 +0000

xapp (1.4.4) tessa; urgency=medium

  * Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 27 Nov 2018 18:16:32 +0000

xapp (1.4.3) tessa; urgency=medium

  [ Michael Webster ]
  * xapp-icon-chooser-dialog.c: Don't deep copy the category's icon list,
    just shallow copy and only free the strings once.  This is faster.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 27 Nov 2018 17:24:54 +0000

xapp (1.4.2) tessa; urgency=medium

  [ Michael Webster ]
  * XAppGtkWindow: make derivable type.
  * xapp-icon-chooser-dialog: use XAppGtkWindow as a parent class, make the default window size slightly taller to prevent a category scroll bar under typical situations, remove the skip-taskbar hint in the test script.
  * xapp-gtk-window.c: Fix previous commit, initialize priv.
  * xapp-icon-chooser-dialog.c: Give the window the title 'Choose an icon'.
  * various improvements (#61)

  [ Clement Lefebvre ]
  * l10n: Update POT

  [ Michael Webster ]
  * xapp-icon-chooser-dialog.c: Only display icons that belong to contexts.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 19 Nov 2018 10:03:21 +0000

xapp (1.4.1) tessa; urgency=medium

  [ Stephen Collins ]
  * icon chooser dialog: Prevent the dialog from being destroyed when the window close button is clicked. This was causing an issue where the dialog will not reopen in some cases. (#56)
  * icon chooser button: fix image not updating when the icon property is set (#57)
  * icon chooser dialog: initialize the default value for the allow_paths property. it was causing file paths to not work when the property wasn't set, even though the browse button was showing (#59)
  * icon chooser button: prevent string pointer issues when calling icon_… (#58)
  * icon chooser button: enforce image size when using paths

  [ Michael Webster ]
  * xapp-icon-chooser-button.h: add missing public method and fix annotation for it.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 12 Nov 2018 15:13:01 +0000

xapp (1.4.0) tessa; urgency=medium

  [ JosephMcc ]
  * Add an XAppStackSidebar widget (#45)
  * stack-sidear: Simplify a bit
  * stack-sidebar: Allow using in Glade

  [ Michael Webster ]
  * xapp-stack-sidebar.c: Set our internal children visible during construction.

  [ JosephMcc ]
  * icons: Add new icons for the nemo preferences window
  * prefs-window: Use XAppStackSidebar

  [ Stephen Collins ]
  * Add an icon chooser dialog (#51)

  [ JosephMcc ]
  * icon-chooser: Do a bit of restyling (#52)

  [ Fabio Fantoni ]
  * Improve debian packaging (#42)

  [ Stephen Collins ]
  * fix segfault in icon chooser dialog and ensure a category is always selected (#54)
  * Add an icon chooser button. Displays an image of the icon and opens the icon chooser dialog on click. (#53)

  [ JosephMcc ]
  * prefs-window: Restyle to better match other dialogs (#55)

  [ Michael Webster ]
  * xapp-icon-chooser-dialog: include the generated enums header in the .c file so it does not break C application compilation.
  * xapp-icon-chooser-dialog: Add xapp_icon_chooser_dialog_add_button().

  [ Clement Lefebvre ]
  * l10n: Add makepot and de-couple POT from build system

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 30 Oct 2018 15:26:24 +0000

xapp (1.2.2) tara; urgency=medium

  [ Fabio Fantoni ]
  * circleci: remove mint18 job (#41)

  [ Michael Webster ]
  * xapp-gtk-window.c: Check for x11 at a more appropriate time.

  [ Clement Lefebvre ]
  * Pastebin: Replace gist with termbin

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 17 Jul 2018 09:35:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,10 @@
 Source: xapp
 Section: x11
 Priority: optional
-Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
-Uploaders:
- Maximiliano Curia <maxy@debian.org>,
- Margarita Manterola <marga@debian.org>,
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Clement Lefebvre <root@linuxmint.com>
 Build-Depends:
- debhelper (>= 11.1~),
+ debhelper (>= 10),
  dh-python,
  dpkg-dev (>= 1.15.1),
  gobject-introspection (>= 0.10.2-1~),
@@ -19,15 +17,12 @@
  libgtk-3-dev (>= 3.3.16),
  libx11-dev,
  libxkbfile-dev,
- meson (>= 0.40.0),
+ meson,
  python,
  python-gi-dev,
  python3,
  valac,
-Standards-Version: 4.1.4
-Homepage: http://cinnamon.linuxmint.com/
-Vcs-Browser: https://salsa.debian.org/cinnamon-team/xapp
-Vcs-Git: https://salsa.debian.org/cinnamon-team/xapp.git
+Standards-Version: 3.9.6
 
 Package: gir1.2-xapp-1.0
 Section: introspection
@@ -40,7 +35,16 @@
  ${shlibs:Depends},
 Description: Introspection data for XApp
  This package contains the introspection data for XApp.
-Breaks: cinnamon (<< 3.8), cinnamon-screensaver (<< 3.8)
+
+Package: libxapp-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: libxapp1 (= ${binary:Version}), ${misc:Depends}
+Description: XApp library - debug symbols
+ This package contains the symbols files needed to debug the XApp library.
 
 Package: libxapp-dev
 Section: libdevel
@@ -68,17 +72,20 @@
  ${shlibs:Depends},
 Description: XApp library
  This library is used by several Xapp apps.
-Breaks: nemo (<< 3.8)
 
 Package: xapps-common
 Architecture: all
 Multi-Arch: foreign
-Depends: python3, python3-gi, xdg-utils, ${misc:Depends}, ${python3:Depends}
-Recommends: gist, inxi
+Depends:
+ inxi,
+ python3,
+ python3-gi,
+ xdg-utils,
+ ${misc:Depends},
+ ${python3:Depends},
 Description: Common files for XApp desktop apps
  This package includes files that are shared between several XApp
  apps (i18n files and configuration schemas).
-Breaks: cinnamon (<< 3.8)
 
 Package: xapps-doc
 Section: doc

## xapp 1.4.6%2Btessa

=== debian/changelog ===
xapp (1.4.6+tessa) tina; urgency=medium

  [ Stephen Collins ]
  * xapp-icon-chooser-button.c: make dialog inherit modal state (#64)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 14 Jun 2019 12:00:33 +0100

## xapp 1.4.9

=== debian/changelog ===
xapp (1.4.9-1) unstable; urgency=medium

  [ David Mohammed ]
  * New upstream release (1.4.8)
  * Control & Compat: Update for debhelper 12
  * Rules: Remove unneeded dh_missing override since it is the
    default with debhelper 12
  * Update xapps-commons to install missing locales
  * Control: Bump StandardsVersion - no changes required
  * Control: Add intro part of package descriptions to resolve
    lintian information report
  * Control: Remove unneeded depends substition variable shlibs which
    produced dpkg-gencontrol warning
  * Update symbols file to include Build-Depends-Package to resolve
    lintian information report
  * Copyright: Added package copyright for the Debian
    Cinnamon Team & updated copyright year for the source

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.
  * Update package symbols for v1.4.2

  [ Norbert Preining ]
  * New upstream release (1.4.{2,5,9}).

  [ Maximiliano Curia ]
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 Aug 2019 12:04:55 -0300

=== debian/control ===
Source: xapp
Section: x11
Priority: optional
Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
Build-Depends:
 debhelper (>= 12),
 dh-python,
 dpkg-dev (>= 1.15.1),
 gobject-introspection (>= 0.10.2-1~),
 gtk-doc-tools (>= 1.4),
 intltool (>= 0.40.6),
 libgdk-pixbuf2.0-dev (>= 2.22.0),
 libgirepository1.0-dev (>= 0.10.2-1~),
 libglib2.0-dev (>= 2.37.3),
 libgnomekbd-dev,
 libgtk-3-dev (>= 3.3.16),
 libx11-dev,
 libxkbfile-dev,
 meson (>= 0.40.0),
 python,
 python-gi-dev,
 python3,
 valac,
Standards-Version: 4.4.0
Homepage: http://cinnamon.linuxmint.com/
Vcs-Browser: https://salsa.debian.org/cinnamon-team/xapp
Vcs-Git: https://salsa.debian.org/cinnamon-team/xapp.git

Package: gir1.2-xapp-1.0
Section: introspection
Architecture: any
Depends:
 ${gir:Depends},
 ${misc:Depends},
 ${python:Depends},
 ${python3:Depends}
Description: Introspection data for Xapp
 Xapp provides components which are common to multiple desktop environments
 and required to implement cross-DE solutions.
 .
 This package contains the introspection data for Xapp.
Breaks: cinnamon (<< 4.0), cinnamon-screensaver (<< 4.0)

Package: libxapp-dev
Section: libdevel
Architecture: any
Depends:
 gir1.2-xapp-1.0 (= ${binary:Version}),
 libgnomekbd-dev,
 libgtk-3-dev (>= 3.3.16),
 libxapp1 (= ${binary:Version}),
 libxkbfile-dev,
 ${misc:Depends},
Description: XApp library - development files
 Xapp provides components which are common to multiple desktop environments
 and required to implement cross-DE solutions.
 .
 This package provides the include files and static library for the Xapp
 library functions.

Package: libxapp1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 libgnomekbd8,
 xapps-common (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: XApp library
 Xapp provides components which are common to multiple desktop environments
 and required to implement cross-DE solutions.
 .
 This library is used by several Xapp apps.
Breaks: nemo (<< 4.0)

Package: xapps-common
Architecture: all
Multi-Arch: foreign
Depends: python3, python3-gi, xdg-utils, ${misc:Depends}, ${python3:Depends}
Recommends: gist, inxi
Description: Files that are common across Xapp desktop applications
 Xapp provides components which are common to multiple desktop environments
 and required to implement cross-DE solutions.
 .
 This package includes files that are shared between several XApp
 apps (i18n files and configuration schemas).
Breaks: cinnamon (<< 4.0)

Package: xapps-doc
Section: doc
Architecture: all
Depends: devhelp, ${misc:Depends}
Description: Libxapp documentation
 Xapp provides components which are common to multiple desktop environments
 and required to implement cross-DE solutions.
 .
 This package contains documentation for Xapp library

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-z,now

%:
	dh $@ --with=gir,python2,python3

override_dh_auto_configure:
	dh_auto_configure -- \
	    -D docs=true \
	    -D deprecated_warnings=false

## xapp 1.4.9%2Btina

=== debian/changelog ===
xapp (1.4.9+tina) tina; urgency=medium

  [ Michael Webster ]
  * Fix a couple of copy/paste mistakes.
  * xapp-icon-chooser-button.c: Only create the chooser dialog when needed.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 20 Aug 2019 10:52:32 +0200

xapp (1.4.8) tina; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 10 Jul 2019 11:10:06 +0200

xapp (1.4.7) tina; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 23 Jun 2019 15:24:11 +0200

xapp (1.4.6) tina; urgency=medium

  [ Stephen Collins ]
  * xapp-icon-chooser-button.c: make dialog inherit modal state (#64)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 14 Jun 2019 12:00:33 +0100

## xapp 1.4.9+cindy

=== debian/changelog ===
xapp (1.4.9+cindy) tina; urgency=medium

  [ Michael Webster ]
  * Fix a couple of copy/paste mistakes.
  * xapp-icon-chooser-button.c: Only create the chooser dialog when needed.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 20 Aug 2019 10:52:32 +0200

## xapp 1.6.1+rolltide

=== debian/changelog ===
xapp (1.6.1+rolltide) rolltide; urgency=medium

  * Initial Pearl build

 -- Scott Vandergrift <scottvandergrift@gmail.com>  Fri, 15 Nov 2019 01:58:00 -0600

xapp (1.6.1+tricia) tricia; urgency=medium

  [ Michael Webster ]
  * xapp-status-icon: Add a function to check for the existence of any active status applets.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 13 Nov 2019 17:33:22 +0100

xapp (1.6.0) tricia; urgency=medium

  [ Clement Lefebvre ]
  * Implement XAppStatusIcon (#67)

  [ James Ross ]
  * libxapp: cleanup compile warnings (#69)

  [ Michael Webster ]
  * status icons: Add a monitor class for applets - XAppStatusIconMonitor, (#70)
  * test-scripts: add a status-icon-via-libappindicator script.
  * xapp-status-icon.c: Remove leftover debug line
  * xapp-status-icon: When a menu is provided to XAppStatusIcon, handle positioning and showing it internally instead of requiring the application to do it.
  * xapp-status-icon.c: Use G_ class macros to cleanup header file, fix xapp_status_icon_get_menu()  (copy/paste error).
  * Add some useful build C-flags, fix test script exec bit.

  [ Clement Lefebvre ]
  * Add API reference in docs/reference/
  * Set theme jekyll-theme-architect
  * README: Add link to API reference

  [ Michael Webster ]
  * xapp-status-icon.c: Emit 'activate' during fallback status icon activation.
  * docs: Generate html automatically

  [ Stephen Collins ]
  * xapp-icon-chooser-dialog.c: Remove unused variable
  * icon chooser dialog: add default_icon property
  * icon chooser dialog: add *_add_custom_category () function

  [ Michael Webster ]
  * Add a Mate status applet (#72)
  * xapp-status-icon.c: Refactor event handling.

  [ Stephen Collins ]
  * xapp-icon-chooser-dialog.c: prevent segfault on non-existent icon name (#76)

  [ Clement Lefebvre ]
  * IconChooserButton: Add the ability to set the default category (#77)

  [ Stephen Collins ]
  * xapp-icon-chooser-button.c: add missing dispose method (#78)

  [ Michael Webster ]
  * mate-xapp-status-applet.py: Make improvements to event handling and widget appearance during clicks.
  * Add a custom install script for installing the generated header file.
  * Add i18n for the mate applet.
  * mate applet: Add an about window, use more appropriate install locations, move build replacement strings to a separate imported file.
  * xapp-status-icon.c: During async ops, when checking for cancellation, use the error code, as the cancellable may have reset in the interim, but the code will be correct.

  [ Michael Webster ]
  * status icons: Support multiple icons from the same process.

  [ Clement Lefebvre ]
  * Revert "docs: Generate html automatically"
  * Add a makedoc script to update docs/reference
  * Update reference docs

  [ Stephen Collins ]
  * xapp-icon-chooser-dialog.c: color the symbolic icons properly and fix hidpi (#79)

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 12 Nov 2019 11:12:12 +0100

xapp (1.4.9) tina; urgency=medium

  [ Michael Webster ]
  * Fix a couple of copy/paste mistakes.
  * xapp-icon-chooser-button.c: Only create the chooser dialog when needed.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 20 Aug 2019 10:52:32 +0200

## xapp 1.6.10

=== debian/changelog ===
xapp (1.6.10-2) unstable; urgency=medium

  * Upload to unstable

 -- Norbert Preining <norbert@preining.info>  Tue, 04 Feb 2020 08:46:48 +0900

xapp (1.6.10-1) experimental; urgency=medium

  [ Fabio Fantoni ]
  * Update changelog: mention closing of #938837

  [ Norbert Preining ]
  * New upstream version 1.6.{2,10}
  * Disable Python2 building (Closes: #938837)
  * Add myself to uploader
  * Update symbols
  * Update install files for new elements (mate applet, helper)

 -- Norbert Preining <norbert@preining.info>  Sun, 19 Jan 2020 16:00:53 +0900

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders:
  Maximiliano Curia <maxy@debian.org>,
  Margarita Manterola <marga@debian.org>,
+ Norbert Preining <norbert@preining.info>
 Build-Depends:
  debhelper (>= 12),
  dh-python,
@@ -20,7 +21,6 @@
  libx11-dev,
  libxkbfile-dev,
  meson (>= 0.40.0),
- python,
  python-gi-dev,
  python3,
  valac,
@@ -35,7 +35,6 @@
 Depends:
  ${gir:Depends},
  ${misc:Depends},
- ${python:Depends},
  ${python3:Depends}
 Description: Introspection data for Xapp
  Xapp provides components which are common to multiple desktop environments

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-z,now
 
 %:
-	dh $@ --with=gir,python2,python3
+	dh $@ --with=gir,python3
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

=== debian/watch ===
version=3
opts="dversionmangle=s/\+repack//;s/\+dfsg//;s/\+up[0-9]//,filenamemangle=s/.*\/(.*)/xapp-$1/" \
  https://github.com/linuxmint/xapps/tags .*/v?(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))
